createObject ("webservice", ...) broken since 5.2.9.31 (SOAP v1.1)

Description

When you run this on Lucee 5.2.9.31, you should receive this output/error, which is expected because the credentials are not good, but the function call is accepted:


However, when tested on 5.3.3.62, you get this error, which is not as expected:

Support discussion: https://dev.lucee.org/t/cf-lucee-incompatibility-for-createobject-soap-request/6276/23

Environment

None

Activity

Show:
Zac Spitzer
November 26, 2019, 12:51 PM

looks very similar?

Gunter Otté
November 26, 2019, 2:59 PM

Yes, indeed. Sorry, didn’t find that bug report in my searches before.
Any chance this gets fixed soon?

Zac Spitzer
November 26, 2019, 4:38 PM

it's a regression which is preventing people from upgrading, which are treated as being a higher priority,

it's flagged as being major in the next sprint, so sooner than later, but there's no public timetable...

Fixed

Assignee

Michael Offner

Reporter

Gunter Otté

Priority

Blocker

Labels

Fix versions

Sprint

None

Affects versions

Configure